# Publish Sitejet domain

This function publishes a domain's Sitejet website.

Endpoint: GET /Sitejet/start_publish
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `domain` (string, required)
    The domain for the Sitejet website.
    Example: "example.com"

  - `cleanup` (integer)
    Whether to cleanup the domain's document_root directory during the publication process.
* 1 — Remove previous files in domain's document_root directory during the publication process.
* 0 — Do not remove any files in domain's document_root directory during the publication process.
    Example: 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "start_publish"

  - `module` (string)
    The name of the module called.
    Example: "Sitejet"

  - `result` (object)

  - `result.data` (object)

  - `result.data.file_name` (string)
    The publish process's log file name.

Note:

The system stores this file in the logs/ directory, relative to the cPanel account's home directory.
    Example: "/home/cpuser/logs/publish_2024-02-02T16:46:58.log"

  - `result.data.pid` (integer)
    The publish action's process ID.
    Example: 123456

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success.
- 0 - Failed: Check the errors field for more details.
    Enum: 1, 0

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running an API.


